import { SPEditor } from '../SPEditor';
export declare type DeserializeNode = {
    type: string;
    deserialize: (el: HTMLElement) => {
        [key: string]: unknown;
    } | undefined;
    withoutChildren?: boolean;
};
/**
 * HTML Deserializer for element and leaf.
 */
export declare type Deserialize<T extends SPEditor = SPEditor> = (editor: T) => {
    element?: DeserializeNode[];
    leaf?: DeserializeNode[];
};
//# sourceMappingURL=Deserialize.d.ts.map