import { SPEditor } from '../../types/SPEditor';
import { UseSlatePluginsOptions } from '../../types/UseSlatePluginsOptions';
/**
 * Run `useSlatePluginsEffects` and props getter for `Slate` and `Editable` components.
 * Use `useSlatePluginsStore` to select store state.
 */
export declare const useSlatePlugins: <T extends SPEditor = SPEditor>({ id, components, editor, initialValue, value, options, plugins, onChange, editableProps, }: UseSlatePluginsOptions<T>) => {
    slateProps: Omit<import("../..").SlateProps, "children">;
    editableProps: import("slate-react/dist/components/editable").EditableProps;
};
//# sourceMappingURL=useSlatePlugins.d.ts.map