import { SPEditor } from '../../types/SPEditor';
import { UseSlatePluginsEffectsOptions } from '../../types/UseSlatePluginsEffectsOptions';
/**
 * Effects to update the slate plugins store from the options.
 * Dynamically updating the options will update the store state.
 */
export declare const useSlatePluginsEffects: <T extends SPEditor = SPEditor>({ id, value, editor, enabled, components, options, initialValue, plugins, }: UseSlatePluginsEffectsOptions<T>) => void;
//# sourceMappingURL=useSlatePluginsEffects.d.ts.map